package com.example.hellsbells;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.Preference;
import android.preference.Preference.OnPreferenceChangeListener;
import android.preference.Preference.OnPreferenceClickListener;
import android.preference.PreferenceActivity;


public class Configuracion extends PreferenceActivity{

	   @Override protected void onCreate(Bundle savedInstanceState) {
	      super.onCreate(savedInstanceState);
	      addPreferencesFromResource(R.xml.preferencias);
	      
	      Preference myPref = (Preference) findPreference("notificacion");
	      myPref.setOnPreferenceClickListener(new OnPreferenceClickListener() {
	            public boolean onPreferenceClick(Preference preference) {
	            	SharedPreferences pref = getSharedPreferences("com.example.hellsbells_preferences", Context.MODE_PRIVATE);
	            	if(pref.getBoolean("notificacion", true)){
	            		AlertaDiaria alarm = new AlertaDiaria();
	            		alarm.SetAlarm(Configuracion.this,null);
	            	}
	            	return true;
	            }
	        });
	      
	        Preference myPrefHora = (Preference) findPreference("horaNotificacion");
	        myPrefHora.setOnPreferenceChangeListener(new OnPreferenceChangeListener() {     
	             @Override
	             public boolean onPreferenceChange(Preference preference, Object newValue) {
	            	 SharedPreferences pref = getSharedPreferences("com.example.hellsbells_preferences", Context.MODE_PRIVATE);
	            	 if(pref.getBoolean("notificacion", true)){
	            		AlertaDiaria alarm = new AlertaDiaria();
	            		alarm.SetAlarm(Configuracion.this, newValue);
	            	 }
	            	 return true;
	             }
	         });
	   }
	   
}