package com.example.hellsbells;

import java.util.List;

import android.app.Activity;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class MiAdaptadorNotificacion extends BaseAdapter {

    private final Activity actividad;
    private final List<String> lista;


    public MiAdaptadorNotificacion(Activity actividad, List<String> lista) {
          super();
          this.actividad = actividad;
          this.lista = lista;

    }

    public View getView(int position, View convertView, ViewGroup parent) {

          LayoutInflater inflater = actividad.getLayoutInflater();

          View view = inflater.inflate(R.layout.elemento_lista_notificacion, null, true); 

          ImageView imageView =(ImageView)view.findViewById(R.id.ivCalendar);
          TextView textView =(TextView)view.findViewById(R.id.tvTitulo);
          TextView textViewSub =(TextView)view.findViewById(R.id.tvSubtitulo);
                    
          String[] name =  lista.get(position).split(";");
          if(name.length>1){
        	  textView.setText(name[0]);
        	  textViewSub.setText(name[1]);
          }else{
        	  textView.setTextColor(Color.RED);
        	  textView.setText(name[0]);
        	  imageView.setVisibility(View.INVISIBLE);
          }
          
          return view;

    }
    

    public int getCount() {
          return lista.size();
    }

    public Object getItem(int arg0) {
          return lista.get(arg0);
    }


    public long getItemId(int position) {
          return position;
    }

}