package com.example.hellsbells.beans;

import java.io.Serializable;
import java.util.List;


public class Pedido implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
	private int idPedido;
	private String nombrePedido;
	private String fechaPedido;
	private List<TipoProducto> contenidoPedido;
	private int email;
	private int actualizar;
	private double precioTotal;	
	private String observaciones;
	
	public Pedido(int idPedido, String nombrePedido, String fechaPedido, 
					List<TipoProducto> contenidoPedido, int email, String observaciones) {
		super();
		this.idPedido = idPedido;
		this.nombrePedido = nombrePedido;
		this.contenidoPedido = contenidoPedido;
		this.fechaPedido = fechaPedido;
		this.email = email;
		this.observaciones = observaciones;
	}
	
	
	public String getNombrePedido() {
		return nombrePedido;
	}
	public void setNombrePedido(String nombrePedido) {
		this.nombrePedido = nombrePedido;
	}
	public List<TipoProducto> getContenidoPedido() {
		return contenidoPedido;
	}
	public void setContenidoPedido(List<TipoProducto> contenidoPedido) {
		this.contenidoPedido = contenidoPedido;
	}
	public String getFechaPedido() {
		return fechaPedido;
	}
	public void setFechaPedido(String fechaPedido) {
		this.fechaPedido = fechaPedido;
	}
	public int getIdPedido() {
		return idPedido;
	}
	public void setIdPedido(int idPedido) {
		this.idPedido = idPedido;
	}
	public int getEmail() {
		return email;
	}
	public void setEmail(int email) {
		this.email = email;
	}
	public double getPrecioTotal() {
		return precioTotal;
	}
	public void setPrecioTotal(double precioTotal) {
		this.precioTotal = precioTotal;
	}
	public int getActualizar() {
		return actualizar;
	}
	public void setActualizar(int actualizar) {
		this.actualizar = actualizar;
	}
	public String getObservaciones() {
		return observaciones;
	}
	public void setObservaciones(String observaciones) {
		this.observaciones = observaciones;
	}
	

}
