package com.example.hellsbells.util;

import com.example.hellsbells.beans.Pedido;
import com.example.hellsbells.beans.Producto;
import com.example.hellsbells.beans.TipoProducto;

public class Util {

	public static String[] generateEmail(Pedido pedido, String contenido, String pUnit, String pTotal){
		
        String stylo = "style='height: 23px; color: #666666; font-size: 11px; margin-bottom: 0px; line-height: 22px; font-weight: normal; padding-left: 23px;'>";
        String stylo1 = "style='height: 23px; color: #000000; font-size: 13px; margin-bottom: 0px; line-height: 22px; font-weight: normal; padding-left: 23px;'>";
        
    	StringBuffer sb = new StringBuffer("<html><head></head><body><table cellspacing='0' cellpadding='0' style='font-family: tahoma, verdana, arial, sans-serif; margin-left: 0px; margin-top: 8px; width: 724px; border: 1px solid #c6c6c6;'><tr><td style='height: 20px; background-color: #5b84d7; color:#fff; font-size: 11px; font-weight: bold; line-height: 21px; padding-left: 18px;'>");
    	sb.append("Pedido "+pedido.getNombrePedido()+" efectuado el dia "+pedido.getFechaPedido()+"");
    	sb.append("</td></tr><tr style='background-color: #fff; padding-top: 3px;'><td style='height: 23px; color: #666666; font-size: 11px; margin-bottom: 0px; line-height: 22px; font-weight: normal; padding-left: 23px;'>");
    	sb.append(contenido);
    	sb.append("</td></tr>");
    	
    	sb.append("<tr><td style='height: 23px; color: #666666; font-size: 11px; margin-bottom: 0px; line-height: 22px; font-weight: normal; padding-left: 23px;'>");
    	sb.append("<table>");
    	double total = 0;
    	for (TipoProducto tipos : pedido.getContenidoPedido()) {
    		sb.append("<tr><td colspan='3' "+stylo+">");
    		sb.append("<u><b>"+tipos.getNombre()+"</b></u>");
    		sb.append("</td></tr>");
    		sb.append("<tr><td "+stylo+">");
    		sb.append("Producto");
    		sb.append("</td>");
    		sb.append("<td "+stylo+">");
    		sb.append("Cantidad");
    		sb.append("</td>");
    		sb.append("<td "+stylo+">");
    		sb.append(pUnit);
    		sb.append("</td></tr>");    		
    		for (Producto prod : tipos.getProductos()) {
    			sb.append("<tr><td "+stylo+">");
        		sb.append(prod.getNombre());
        		sb.append("</td>");
        		sb.append("<td "+stylo+">");
        		sb.append(prod.getCantidad());
        		sb.append("</td>");
        		sb.append("<td "+stylo+">");
        		sb.append(prod.getPrecio());        		
        		sb.append("</td></tr>");
        		total = total + (prod.getCantidad() * prod.getPrecio());
			}
		}    	
    	sb.append("<tr><td colspan='3'>&nbsp;");
		sb.append("</td></tr>");
		sb.append("<tr><td colspan='3' "+stylo1+">");
		sb.append("<b>"+pTotal+" ................"+total+"</b>");
		sb.append("<tr><td colspan='3' "+stylo1+">");
		sb.append("<b>Observaciones:</b>");
		sb.append("<tr><td colspan='3' "+stylo1+">");
		sb.append(""+pedido.getObservaciones()+"");
		sb.append("</td></tr>");
		sb.append("</td></tr></table></body></html>");
		
		String[] param  = new String[2];
		param[0]= sb.toString();		
		param[1]= total+"";
		
		return param;
	}
	
	public static String[] generateTxtEmail(Pedido pedido, String contenido, String pUnit, String pTotal){
		
		StringBuffer sb = new StringBuffer();
    	sb.append("Pedido "+pedido.getNombrePedido()+" efectuado el dia "+pedido.getFechaPedido()+"\n\n");
    	sb.append(contenido);
    	sb.append("\n\n");
    	
    	double total = 0;
    	for (TipoProducto tipos : pedido.getContenidoPedido()) {
    		sb.append(tipos.getNombre()+"\n");
    		sb.append(padLeft("Producto", 20));
    		sb.append(padLeft("Cantidad", 20));	    		
    		sb.append(padLeft(pUnit, 20));
    		sb.append("\n");
    		for (Producto prod : tipos.getProductos()) {
    			sb.append(padLeft(prod.getNombre(), 20));
        		sb.append(padLeft(prod.getCantidad()+"", 20));
        		sb.append(padLeft(prod.getPrecio()+"", 20));	
        		
        		total = total + (prod.getCantidad() * prod.getPrecio());
        		sb.append("\n");
			}
		}    	
    	sb.append("\n");
		sb.append(pTotal+" ................"+total);
		sb.append("\n");
		sb.append("Observaciones:");
		sb.append("\n");
		sb.append(""+pedido.getObservaciones()+"");
		sb.append("\n");
		
		String[] param  = new String[2];
		param[0]= sb.toString();		
		param[1]= total+"";
		
		return param;
	}
	
	public static String padLeft(String s, int n) {
	    return String.format("%1$" + n + "s", s);  
	}
}
