package com.example.hellsbells.beans;

import java.io.Serializable;
import java.util.List;

public class TipoProducto implements Serializable {

	private static final long serialVersionUID = 1L;	
	
	private Integer id;
	private String nombre;
	private String descripcion;
	private List<Producto> productos;
	
	
	public TipoProducto(Integer id, String nombre, String descripcion, List<Producto> productos) {
		super();
		this.id = id;
		this.nombre = nombre;
		this.descripcion = descripcion;
		this.productos = productos;
	}
		
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getDescripcion() {
		return descripcion;
	}
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}
	public List<Producto> getProductos() {
		return productos;
	}
	public void setProductos(List<Producto> productos) {
		this.productos = productos;
	}


	@Override
	public String toString() {
		return nombre;
	}	
	
	

}
