package com.example.hellsbells.store;

import java.util.Vector;

import com.example.hellsbells.beans.Pedido;


public class AlmacenPedidosArray implements AlmacenPedidos{
 
	private Vector<Pedido> pedidos;
	
    public AlmacenPedidosArray() {}

	@Override
	public void guardarPedido(Pedido pedido) {
		if(pedidos==null) pedidos = new Vector<Pedido>();
		pedidos.add(pedido);
	}

	@Override
	public Vector<Pedido> listaPedidos() {
		if(pedidos==null) pedidos = new Vector<Pedido>();
		return pedidos;
	}
	
	@Override
	public Pedido getPedido(String nombre, String fecha) {
		Pedido resultado = null;
		String tipoConsulta = "";
		if(nombre!=null && !nombre.equals("") && fecha!=null && !fecha.equals("")){
			tipoConsulta="A";
		}else if(nombre!=null && !nombre.equals("")){
			tipoConsulta="N";
		}else if(fecha!=null && !fecha.equals("")){
			tipoConsulta="F";
		}
		
		for (Pedido p : pedidos) {
			if(tipoConsulta.equals("A")){
				if(p.getNombrePedido().equals(nombre) && p.getFechaPedido().equals(fecha)){
					resultado = p;
				}
			}else if(tipoConsulta.equals("N")){
				if(p.getNombrePedido().equals(nombre)){
					resultado = p;
				}
			}else{
				if(p.getFechaPedido().equals(fecha)){
					resultado = p;
				}
			}
		}
		return resultado;
	}

}